#
# $Header: /home/cvs/jakarta-tomcat/src/etc/Attic/wrapper.properties,v 1.2 2000/06/12 09:46:00 shachor Exp $
# $Revision: 1.2 $
# $Date: 2000/06/12 09:46:00 $
#
#
# jk_service.properties - a bootstrup file for the Tomcat NT service.
#
# This file provides jk_nt_service with the needed information to
# start tomcat at a different process.
#
# As a general note, the characters $( and ) are used internally to define
# macros. Do not use them!!!
#
# Whenever you see a set of lines such as:
# x=value
# y=$(x)\something
#
# the final value for y will be value\something
#
# Normaly all you will need to modify is the first two properties, i.e.
# wrapper.tomcat_home and wrapper.java_home. Most of the configuration
# is derived from these two.
#

#
# wrapper.tomcat_home should point to the location where you
# installed tomcat. This is where you have your conf, webapps and lib
# directories.
#
#wrapper.tomcat_home=<put your Tomcat home>
wrapper.tomcat_home=D:\Jakarta-tomcat

#
# wrapper.java_home should point to your Java installation. Normally
# you should have a bin and lib directories beneath it.
#
#wrapper.java_home=<put your Java home>
wrapper.java_home=C:\Jdk1.2.2

#
#------ ADVANCED MODE ------------------------------------------------
# Make sure that you read the how-to before making too many changes.
#---------------------------------------------------------------------
#

#
# Defining where the service is going to put the standard
# output of Tomcat. This is where System.out.println and
# System.err.println goes to.
#
wrapper.stdout=$(wrapper.tomcat_home)\jvm.stdout
wrapper.stderr=$(wrapper.tomcat_home)\jvm.stderr

#
# Additions to the path. put here directories where you store DLLs for
# native methods etc.
#
wrapper.ld_path=d:\
wrapper.ld_path=c:\

#
# Defining the classpath. All the rows that belongs to the class_path
# property are concatenated to create the classpath for Tomcat.
#
# If you have additional locations that you would like to add to the
# claspath you should add a new wrapper.class_path=<location> line.
#
wrapper.class_path=$(wrapper.tomcat_home)\classes
wrapper.class_path=$(wrapper.tomcat_home)\lib\xml.jar
wrapper.class_path=$(wrapper.tomcat_home)\lib\webserver.jar
wrapper.class_path=$(wrapper.tomcat_home)\lib\servlet.jar
wrapper.class_path=$(wrapper.tomcat_home)\lib\jasper.jar
# Add MapInfo Classes here...
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib"
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib\jaxp.jar"
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib\mxtd10.jar"
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib\mxtd_admin10.jar"
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib\mxtd_cldc10.jar"
wrapper.class_path="D:\Program Files\mapinfo\MapXtend\lib\mxtd_samples10.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\mxtj30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\devsup30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\dpext30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\mistyles30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\mxloc30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\raster30.jar"
wrapper.class_path="D:\Program Files\MapInfo\mapxtremejava\server\xml4j_1_1_16.jar"
wrapper.class_path="D:\Program Files\mapinfo\mapmarkerJ\MapMarkerJServer.jar"

#
# This is where Javac is located in JDK1.2.x
#
wrapper.class_path=$(wrapper.java_home)\lib\tools.jar
#
# and a tribute to JDK1.1.x
#
wrapper.class_path=$(wrapper.java_home)\lib\classes.zip

#
# This is the Java interpreter used for running Tomcat
#
wrapper.javabin=$(wrapper.java_home)\bin\java.exe

#
# This is Tomcat's startup class (the class that contains Tomcat's
# starting point.
#
wrapper.startup_class=org.apache.tomcat.startup.Tomcat

#
# This is the location where tomcat's server.xml configuration file 
# is located. 
#
wrapper.server_xml=$(wrapper.tomcat_home)\conf\server.xml

#
# The NT service uses AJP12/AJP13 to shutdown Tomcat. The 
# wrapper.shutdown_port tells the service the identity of the port that 
# is used by AJP12/AJP13.
#
wrapper.shutdown_port=8007

#
# Can either be ajp12 or ajp13 depending on your configuration.
#
# Default value is ajp12
#
wrapper.shutdown_protocol=ajp12

#
# This is the command line that is used to start Tomcat. You can *add* extra
# parameters to it but you can not remove anything.
#
wrapper.cmd_line=$(wrapper.javabin) -classpath $(wrapper.class_path) $(wrapper.startup_class) -config $(wrapper.server_xml) -home $(wrapper.tomcat_home)
